<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
xmlns:ui="http://java.sun.com/jsf/facelets"
xmlns:h="http://java.sun.com/jsf/html"
xmlns:f="http://java.sun.com/jsf/core"
xmlns:p="http://primefaces.org/ui"
template="/templates/template.xhtml"
>


<ui:define name="conteudo">

  
    
    <h:form id="formListagem">
            <p:panel header="Lista de Produtos - Usuário Logado ">
                <p:dataTable id="tabela" emptyMessage="Nenhum registro encontrado."
                             paginator="true" value="#{produtoBean.produtos}" var="produto"
                             rows="15">
                    <f:facet name="header">
                       
                    </f:facet>

                    

                    <p:column headerText="Codigo:">
                        <h:outputText value="#{produto.codigoProduto}" />
                    </p:column>

                      <p:column headerText="Marca: ">
                          <h:outputText value="#{produto.marca}" />
                    </p:column>
                    
                    <p:column headerText="Descrição">
                        <h:outputText value="#{produto.descricao}" />
                    </p:column>

                   
                  
                  
                </p:dataTable>
            </p:panel>
    </h:form>
</ui:define>

</ui:composition>
